CREATE TABLE last_check (
    last DATETIME
);
CREATE TABLE Villes (
    code_INSEE SMALL INT PRIMARY KEY,
    nom VARCHAR(255)
);
INSERT INTO "Villes"(code_INSEE,nom) VALUES(49214,'Montreuil-Juigné'),(49055,'Cantenay-Épinard'),(49241,'Le Plessis-Grammoire'),(49298,'Saint-Léger-de-Linières'),(49007,'Angers'),(49015,'Avrillé'),(49307,'Loire-Authion'),(49035,'Bouchemaine'),(49020,'Beaucouzé'),(49278,'Sainte-Gemmes-sur-Loire'),(49223,'Mûrs-Erigné'),(49200,'Longuenée-en-Anjou'),(49267,'Saint-Barthélemy-d''Anjou'),(49353,'Trélazé'),(49135,'Feneu'),(49329,'Savennières'),(49246,'Les Ponts-de-Cé'),(49048,'Briollay'),(49306,'Saint-Martin-du-Fouilloux'),(49377,'Rives-du-Loir-en-Anjou'),(49338,'Soulaines-sur-Aubance'),(49294,'Saint-Lambert-la-Potherie'),(49339,'Soulaire-et-Bourg'),(49323,'Verrières-en-Anjou'),(49271,'Saint-Clément-de-la-Place'),(49028,'Béhuard'),(49130,'Écuillé'),(49326,'Sarrigné'),(49129, 'Écouflant');
CREATE TABLE chiffres (
    date DATETIME,
    code_INSEE SMALL INT,
    nombre INTEGER,
    PRIMARY KEY( date, code_INSEE),
    FOREIGN KEY(code_INSEE) REFERENCES Villes(code_INSEE)
);

CREATE TABLE chiffres_2021 (
    code_INSEE SMALL INT,
    nombre INTEGER,
    PRIMARY KEY (code_INSEE),
    FOREIGN KEY (code_INSEE) REFERENCES Villes(code_INSEE)
);

INSERT INTO chiffres_2021 VALUES 
    (49267, 69),
    (49214, 58),
    (49015, 70),
    (49007, 1193),
    (49329, 52),
    (49246, 116),
    (49020, 92),
    (49135, 60),
    (49278, 56),
    (49055, 76),
    (49377, 52),
    (49323,67),
    (49035, 76),
    (49271, 49),
    (49223, 56),
    (49307, 86),
    (49353, 70);